Main Page | Class Hierarchy | Alphabetical List | Compound List | Compound Members

# IRdMESettings Struct Reference

Inherits IRsDataObject.

List of all members.

## Public Member Functions
HRESULT | SetSelectionColor ([in] IRdColor *pVal)
HRESULT | GetSelectionColor ([out] IRdColor **pVal)
HRESULT | SetObjectOpacity ([in] RtFloat fVal)
HRESULT | GetObjectOpacity ([out] RtFloat *pfVal)
HRESULT | SetDisplayTriangles ([in] BOOL Val)
HRESULT | GetDisplayTriangles ([out] BOOL *pVal)
HRESULT | GetDefaultPointSize ([out] RtFloat *pVal)
HRESULT | GetDefaultVertexColor ([out] RtDWORD *pVal)
HRESULT | GetDefaultFaceedgeColor ([out] RtDWORD *pVal)
HRESULT | GetDefaultTriangleedgeColor ([out] RtDWORD *pVal)
HRESULT | GetDefaultTriangleColor ([out] RtDWORD *pVal)
HRESULT | GetDefaultSdsColor ([out] RtDWORD *pVal)
HRESULT | GetShowSdsFaces ([out] RtBool *pVal)
HRESULT | GetShowSdsTriangles ([out] RtBool *pVal)
HRESULT | GetHighlitePointSize ([out] RtFloat *pVal)
HRESULT | GetHighliteVertexColor ([out] RtDWORD *pVal)
HRESULT | GetHighliteTriangleColor ([out] RtDWORD *pVal)
HRESULT | GetHighliteFacetriangleColor ([out] RtDWORD *pVal)
HRESULT | GetHighliteEdgeColor ([out] RtDWORD *pVal)
HRESULT | GetSelectedPointSize ([out] RtFloat *pVal)
HRESULT | GetSelectedVertexColor ([out] RtDWORD *pVal)
HRESULT | GetSelectedEdgeFaceedgeColor ([out] RtDWORD *pVal)
HRESULT | GetSelectedEdgeTriangleedgeColor ([out] RtDWORD *pVal)
HRESULT | GetSelectedTriangleColor ([out] RtDWORD *pVal)
HRESULT | GetSelectedTriangleedgeColor ([out] RtDWORD *pVal)
HRESULT | GetSelectedFaceColor ([out] RtDWORD *pVal)
HRESULT | GetSelectedFaceFaceedgeColor ([out] RtDWORD *pVal)
HRESULT | GetSelectedFaceTriangleedgeColor ([out] RtDWORD *pVal)
HRESULT | GetSoftSelectionColor0 ([out] RtDWORD *pVal)
HRESULT | GetSoftSelectionColor1 ([out] RtDWORD *pVal)
HRESULT | GetSoftSelectionColor2 ([out] RtDWORD *pVal)

## Detailed Description

IRdMESettings interface

## Member Function Documentation

HRESULT IRdMESettings::SetSelectionColor | ( | [in] IRdColor * | pVal | ) |

| Set the selection color

HRESULT IRdMESettings::GetSelectionColor | ( | [out] IRdColor ** | pVal | ) |

| Get the selection color

HRESULT IRdMESettings::SetObjectOpacity | ( | [in] RtFloat | fVal | ) |

| Set object Opacity level

HRESULT IRdMESettings::GetObjectOpacity | ( | [out] RtFloat * | pfVal | ) |

| Get object Opacity level

HRESULT IRdMESettings::SetDisplayTriangles | ( | [in] BOOL | Val | ) |

| Set the display triangles status (enable/disable)

HRESULT IRdMESettings::GetDisplayTriangles | ( | [out] BOOL * | pVal | ) |

| Get the display triangles status (enable/disable)

HRESULT IRdMESettings::GetDefaultPointSize | ( | [out] RtFloat * | pVal | ) |

| Get default point size

HRESULT IRdMESettings::GetDefaultVertexColor | ( | [out] RtDWORD * | pVal | ) |

| Get default vertex color

HRESULT IRdMESettings::GetDefaultFaceedgeColor | ( | [out] RtDWORD * | pVal | ) |

| Get default face edge color

HRESULT IRdMESettings::GetDefaultTriangleedgeColor | ( | [out] RtDWORD * | pVal | ) |

| Get default triangle edge color

HRESULT IRdMESettings::GetDefaultTriangleColor | ( | [out] RtDWORD * | pVal | ) |

| Get default triangle color

HRESULT IRdMESettings::GetDefaultSdsColor | ( | [out] RtDWORD * | pVal | ) |

| Get default Sds color

HRESULT IRdMESettings::GetShowSdsFaces | ( | [out] RtBool * | pVal | ) |

| Show sds faces (enable/disable)

HRESULT IRdMESettings::GetShowSdsTriangles | ( | [out] RtBool * | pVal | ) |

| Show sds triangles (enable/disble)

HRESULT IRdMESettings::GetHighlitePointSize | ( | [out] RtFloat * | pVal | ) |

| Get highlited point size

HRESULT IRdMESettings::GetHighliteVertexColor | ( | [out] RtDWORD * | pVal | ) |

| Get highlited point color

HRESULT IRdMESettings::GetHighliteTriangleColor | ( | [out] RtDWORD * | pVal | ) |

| Get highlited triangle color

HRESULT IRdMESettings::GetHighliteFacetriangleColor | ( | [out] RtDWORD * | pVal | ) |

| Get highlited face triangle color

HRESULT IRdMESettings::GetHighliteEdgeColor | ( | [out] RtDWORD * | pVal | ) |

| Get highlited edge color

HRESULT IRdMESettings::GetSelectedPointSize | ( | [out] RtFloat * | pVal | ) |

| Get selected point size

HRESULT IRdMESettings::GetSelectedVertexColor | ( | [out] RtDWORD * | pVal | ) |

| Get selected vertex color

HRESULT IRdMESettings::GetSelectedEdgeFaceedgeColor | ( | [out] RtDWORD * | pVal | ) |

| Get selected face edge color

HRESULT IRdMESettings::GetSelectedEdgeTriangleedgeColor | ( | [out] RtDWORD * | pVal | ) |

| Get selected triangle edge color

HRESULT IRdMESettings::GetSelectedTriangleColor | ( | [out] RtDWORD * | pVal | ) |

| Get selected triangle color

HRESULT IRdMESettings::GetSelectedTriangleedgeColor | ( | [out] RtDWORD * | pVal | ) |

| Get color for selected triangle's edge

HRESULT IRdMESettings::GetSelectedFaceColor | ( | [out] RtDWORD * | pVal | ) |

| Get selected face color

HRESULT IRdMESettings::GetSelectedFaceFaceedgeColor | ( | [out] RtDWORD * | pVal | ) |

| Get selected face color

HRESULT IRdMESettings::GetSelectedFaceTriangleedgeColor | ( | [out] RtDWORD * | pVal | ) |

| Get color for triangle edge of selected face

HRESULT IRdMESettings::GetSoftSelectionColor0 | ( | [out] RtDWORD * | pVal | ) |

| Get color for vertex soft selections (weight 0)

HRESULT IRdMESettings::GetSoftSelectionColor1 | ( | [out] RtDWORD * | pVal | ) |

| Get color for vertex soft selections (weight 0.5)

HRESULT IRdMESettings::GetSoftSelectionColor2 | ( | [out] RtDWORD * | pVal | ) |

| Get color for vertex soft selections (weight 1)